/*
 * IRC - Internet Relay Chat, ircd/version.c
 * Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "version.h"
#include "patchlevel.h"
#include "patchlist.h"

const char *generation = "2";
const char *creation = "Tue Mar 20 2012 at 16:13:50 CET";
const char *version = BASE_VERSION RELEASE PATCHLEVEL PATCHLIST;

const char *infotext[] = {
    "IRC --",
    "This program is free software; see LICENSE in the distribution",
    "",
    "Based on the original code written by Jarkko Oikarinen, version 2.6:",
    "Wiz          Jarkko Oikarinen         <jto@tolsun.oulu.fi>",
    "",
    "The main developer of version u2.9 and u2.10 was:",
    "Run          Carlo Wood               <carlo@runaway.xs4all.nl>",
    "",
    "The head developer of the u2.10 source tree was:",
    "Bleep        Thomas Helvey            <tomh@inxpress.net>",
    "",
    "The current maintainors of the u2.10 source tree are:",
    "Isomer       Perry Lorier             <perry@coders.net>",
    "Kev          Kevin Mitchell           <klmitch@mit.edu>",
    "",
    "Contributors to this release:",
    "Kev, Isomer, Gte, Ghostwolf, Bleep",
    "Debugging and support:",
    "SeKs, Maniac-, HeKTik, OmniDynmc, Liandrin, Dianora",
    "Special thanks to Angel and Buff for believing in us and putting"
    "up with frantic late night phone calls"
    "",
    "Thanks goes to all other people who contributed to any version.",
    "A full listing of all coders can be found in doc/Authors in the",
    "source.",
    "",
    "Sources:",
    "[ channel.c: d845bdee03812cb966aaaa1af9860906  ]",
    "[ class.c: b450a181973c5a269b6607f233a556a3  ]",
    "[ client.c: bf53ccc4aa5fad7a5d84d4f17df5a4c1  ]",
    "[ convert-conf.c: a4fbbce0362d7aad72676fac328f7435  ]",
    "[ crule.c: 22588754cb2a3b7bea9223895246174a  ]",
    "[ dbuf.c: 826a8de9dccab926e579be95bc060569  ]",
    "[ destruct_event.c: ce9a922e82e6f7cb97b10ca1cb8b3525  ]",
    "[ engine_devpoll.c: 9be0c0793943ed07670a1224248716c5  ]",
    "[ engine_epoll.c: 88266128fc6cb2dae409b497cd41526c  ]",
    "[ engine_kqueue.c: 32e39eaa15cf4664aa5290068231480c  ]",
    "[ engine_poll.c: cba0bfa86294cb92a9eb7ce6e25a373e  ]",
    "[ engine_select.c: 46564e61a6770878a96d2edddbdf4356  ]",
    "[ fileio.c: d8872367d98ec1278ecdb1e83ed2d74f  ]",
    "[ gline.c: e57ba0d43978aae58cfb7d597dffde56  ]",
    "[ hash.c: 4ae615c1b05eaf31ef216a4696fac195  ]",
    "[ IPcheck.c: 2e10c2c86d280815fd1e97b0eb192959  ]",
    "[ ircd_alloc.c: 19998d80f059a3937ba41d930b187b94  ]",
    "[ ircd.c: d8e098dea8ec53a900db94d8b8bc3be0  ]",
    "[ ircd_crypt.c: 2919619824316b990dbf7fc3c5164e28  ]",
    "[ ircd_crypt_native.c: 1682aee0db9802f44a84e9ff616e8e58  ]",
    "[ ircd_crypt_plain.c: 05f407aca6a5de7677bebb1ad33180e5  ]",
    "[ ircd_crypt_smd5.c: c54689931fb7e18098cfdafb352ae3bc  ]",
    "[ ircd_events.c: 125d2fb06e2f9d761b864e5cf53b07c3  ]",
    "[ ircd_features.c: 066e7d7ac319412d4b5d9307c36bec72  ]",
    "[ ircd_lexer.l: 8400f16ff6e364de505dee9c0873817e  ]",
    "[ ircd_log.c: ba6f63a12dfa367a2199ff153e5a9b79  ]",
    "[ ircd_md5.c: fd667d6dd3000cc615faaac4e931b1c5  ]",
    "[ ircd_parser.y: 8d2623d5af0f98d5b84e22178139ed0d  ]",
    "[ ircd_relay.c: ee5cb4da81a6189d1517e9e554b956ca  ]",
    "[ ircd_reply.c: b415a823573cfa3f2b4d1f9829ac100a  ]",
    "[ ircd_res.c: 9b369026eb7a618324102d98dbcdbbf8  ]",
    "[ ircd_reslib.c: b33f0829cb188afce3312ba84260545e  ]",
    "[ ircd_signal.c: 4ec5cde85788f8afe2cbae7412ba164f  ]",
    "[ ircd_snprintf.c: 13f97b78e32881de127307b99346bb9d  ]",
    "[ ircd_string.c: 948925d6e8601a19db361d4af39fafa7  ]",
    "[ jupe.c: e1b658d8cc79009d3403b14a4ba5f395  ]",
    "[ list.c: e87f6d885b16c555c6afc8482a5df0fa  ]",
    "[ listener.c: d1342f380d3054feeedaed32a42f466d  ]",
    "[ m_account.c: 2013a1dcb04c2944f94d08a2ac6e054e  ]",
    "[ m_admin.c: 20ff99d7adb309292523efb7681ef2c4  ]",
    "[ m_asll.c: 51f4e4e98ee12016db94c8c4c201d212  ]",
    "[ match.c: f44a4d33e11f60127e261622497470e9  ]",
    "[ m_away.c: 09b7e6f1e11bf0879f8dbe492bc0cc04  ]",
    "[ m_burst.c: 669bc24bb88f7236a39f5a34242c3d9d  ]",
    "[ m_cap.c: c065c747c5e3628905d0ef00038d11af  ]",
    "[ m_clearmode.c: 976c852e6e3ec89f631d876a9c763bd5  ]",
    "[ m_close.c: 0c1d6593eb371ea62a94a7ab9e07ff61  ]",
    "[ m_connect.c: bf95312ee6d7f51ceaff743768cc57ed  ]",
    "[ m_cprivmsg.c: 56106038dd29b7a2d3eae2dafc960b00  ]",
    "[ m_create.c: 1070b591b0b2e2e6f7b9e3e6e5eb3a1f  ]",
    "[ m_defaults.c: abcd367133e3874bfd87f54406886020  ]",
    "[ m_destruct.c: e9bfdbca4acb1638ead676d8e15091cc  ]",
    "[ m_desynch.c: b99f3b4f00bb1c85e09eebf9456d2183  ]",
    "[ m_die.c: 9fd0bf296b654b8f675968391a3de05a  ]",
    "[ memdebug.c: a226ec51fd3b52aadc648b24dcef29bb  ]",
    "[ m_endburst.c: c21c3f3dff989c93edf8056c75f90a91  ]",
    "[ m_error.c: fc363670bc8ace6beaa128882b4c96da  ]",
    "[ m_get.c: 866b3939e85579f3131d4d6c18b57e31  ]",
    "[ m_gline.c: cc82628ce7b314756d322444f868b42d  ]",
    "[ m_help.c: a741bed129245a6fc6aaabee41729976  ]",
    "[ m_info.c: a9412edf626c3a0b2de783a6c46c3851  ]",
    "[ m_invite.c: f51df47193ac5e8e7033eacbb16dee66  ]",
    "[ m_ison.c: 9a4a57775e162710265970b4bc98136e  ]",
    "[ m_join.c: fef3864b226a03b3a72771a5fa6c97fe  ]",
    "[ m_jupe.c: 75af329194a09ffe3fc09557e4418af8  ]",
    "[ m_kick.c: a8aa750b41aaab5e00d1fa9c80a3c991  ]",
    "[ m_kill.c: 99db49ebb34bca66b47a5f471c119b09  ]",
    "[ m_links.c: 44f297541dc416f10a485b4b3a6ad289  ]",
    "[ m_list.c: cf347739d3fe75ec60e35c5520559c2c  ]",
    "[ m_lusers.c: 515713d779e5d06d6d726fa49aa6c62f  ]",
    "[ m_map.c: 1ae847e7bf92a12d89d71b8d11348989  ]",
    "[ m_mode.c: 8270919af8b6da4082e3dd0deb7ad0bb  ]",
    "[ m_motd.c: 0f27322da8bc133a363f124521f30671  ]",
    "[ m_names.c: 16ec8197d50193cf5b3a80815207a213  ]",
    "[ m_nick.c: a423bf101203d84a4bc7c92d7645128e  ]",
    "[ m_notice.c: 55b8318e54fb91ccf093cb21e238600a  ]",
    "[ m_oper.c: 411c5e7ec30e6be8a2a9984544e71c8e  ]",
    "[ m_opmode.c: c4b1c6d37762c202479193e695c80651  ]",
    "[ motd.c: ac367f107f08769a8dce15d7456a87f7  ]",
    "[ m_part.c: ad2eff18bd76b3c0508dfe7571a8aca6  ]",
    "[ m_pass.c: 51594f882eefda03fc156de92ce84f6a  ]",
    "[ m_ping.c: 7abc0e70ed67ed71a274bca150e1fbd8  ]",
    "[ m_pong.c: 9a17c427691be344bbefc7be910a9f88  ]",
    "[ m_privmsg.c: 93cabff03dd3ad252e9120357db51ebf  ]",
    "[ m_privs.c: afd9e278468358b6d1f65551696ab8d1  ]",
    "[ m_proto.c: 7e15bd38aa21900c38cb7aafc90151e6  ]",
    "[ m_pseudo.c: 059e6accb02d327e7a6db9f245933de5  ]",
    "[ m_quit.c: 7dbd1344b31f84c5b67f083bc93f5e4a  ]",
    "[ m_rehash.c: 25c5ef7621472ecbbe1be453ad02bce4  ]",
    "[ m_reset.c: 4b4bd621339059f37e154a32bd1b084d  ]",
    "[ m_restart.c: 811c979626026c8aaae648d98b9b5011  ]",
    "[ m_rping.c: 6efcb2e51c5ed25394609d585bdc1332  ]",
    "[ m_rpong.c: 4f4ea2684d9fd798bc5426ed4608aa95  ]",
    "[ m_server.c: 2e088bef9c368144136d494eacd5deb8  ]",
    "[ m_set.c: fda29e16a37962def8ce63dd62ece64a  ]",
    "[ m_settime.c: 27bd9eb2a0d4c5cc4dee5908ebbf0ddd  ]",
    "[ msgq.c: 699b47cafbcac073a197bce2baabecad  ]",
    "[ m_silence.c: 8a138ca99cabcc5fb22ae81b0728c544  ]",
    "[ m_squit.c: fce9937b323fd8c9db1fd1053f0ef269  ]",
    "[ m_stats.c: 644192b06e8ee6ff94962ead8e8b5d1f  ]",
    "[ m_time.c: 2019490c2479faf3d9c9274ca5109f9a  ]",
    "[ m_tmpl.c: 912123fdffa75b8e1949abd786e04bd3  ]",
    "[ m_topic.c: 5e2df535dc910e31facbffe9703ed27b  ]",
    "[ m_trace.c: d327df04c6d57d0d560e000d2c0b2b02  ]",
    "[ m_uping.c: c6404edc9d7775a99a6fae9dbff28cee  ]",
    "[ m_user.c: c5f133fe4db55b4c8126ed84ed908620  ]",
    "[ m_userhost.c: 93bc5d7a2f4b3b99802c305c3f761210  ]",
    "[ m_userip.c: 11b03dcb22453bb9d2777854590a73cd  ]",
    "[ m_version.c: 063f5bcb680a3558574e52b9277c940f  ]",
    "[ m_wallchops.c: 532215f2039bcbbe5c0bad0454790f4f  ]",
    "[ m_wallops.c: 6f41e94fa6b06a24cec476fa13b50b20  ]",
    "[ m_wallusers.c: 04a2296da29141d765794d00b32d4e0e  ]",
    "[ m_wallvoices.c: ae9b6e6cb292e8b5531918f0b61ceeaf  ]",
    "[ m_webirc.c: f8c03ac894a4c1762b453de203654b84 1271 ]",
    "[ m_who.c: 1c8bc1af189fd1421149521a28e89b75  ]",
    "[ m_whois.c: f77741551fa3d32129376fe0989b692a  ]",
    "[ m_whowas.c: 48af9baa08d87b52036f63c73c2ef261  ]",
    "[ m_xquery.c: 5fc42acd864e185220f4091548c6d52f  ]",
    "[ m_xreply.c: 044137b7c29e54d03fb882e1d9107c96  ]",
    "[ numnicks.c: caa4834a85c074c5287e7f138075de1e  ]",
    "[ opercmds.c: 5d12db8adc7b8d50c1517a5d2510c456  ]",
    "[ os_generic.c: 5a94ecfe86be58b6528e184b57a21a98  ]",
    "[ packet.c: 96790688ee6d3851e00d84ad65fc41d9  ]",
    "[ parse.c: 144fb057b67157bf16402f8dca68c2c4  ]",
    "[ querycmds.c: 945aea3c57e670d554a7b61c520280a3  ]",
    "[ random.c: 2557c69d3659029711116a2a9c0ce20d  ]",
    "[ s_auth.c: 258db50b3c1bd92570c602ca135556b0  ]",
    "[ s_bsd.c: 538c50f23772e23fc5246d2426848c16  ]",
    "[ s_conf.c: 674e545e2c346179363b4f44fd34c7e3  ]",
    "[ s_debug.c: a4ca7f2df0e0a9e7d0d2b917de8cca11  ]",
    "[ send.c: 4d3857f6304d69107d20ff72e895cd7d  ]",
    "[ s_err.c: f1988a56078e81b808ef49b96df9a8a5  ]",
    "[ s_misc.c: 365fe42cd51aec7faf0ed9c36b796ece  ]",
    "[ s_numeric.c: 049289d31c2061b004444f7094141d35  ]",
    "[ s_serv.c: 3cbd2a7c77da8be73b9702ddb7696cb5  ]",
    "[ s_stats.c: 7b6f0c62cda7a16e33672765149d421f  ]",
    "[ s_user.c: aa7c6148dfd201779bd56ae80562f192  ]",
    "[ table_gen.c: b303cb594f3e297a8946b05580e2ff59  ]",
    "[ umkpasswd.c: 6314d5bcf31fde2fe42d5c23573bd0c7  ]",
    "[ uping.c: 92d25ecfe4501ffc6280034e682c31da  ]",
    "[ userload.c: 43f24643edc5d5210583834e13ac722d  ]",
    "[ whocmds.c: ea8555b89d2e8d247db358cdba6ade6c  ]",
    "[ whowas.c: 35f996f621039254ad6167d6ca9d43db  ]",
    "[ version.c.SH: f2457e56f674b6e8ecca5c8841c8b1a2  ]",
    "",
    "Headers:",
    "[ capab.h: 59d754e633bbc1c155ddff825a4be9a6  ]",
    "[ channel.h: ffe145fc51de039616a669070821481e  ]",
    "[ class.h: fa545f4db1ed367717a16e45961bf86b  ]",
    "[ client.h: 78220e995df7ed387e60481fd4629c40  ]",
    "[ crule.h: cfca78395dc5ef64c639bd7d2d057ddd  ]",
    "[ dbuf.h: 8ae3e9fd1aae24f4dbe02f5966404d21  ]",
    "[ destruct_event.h: 9d2cf6688987e8501f3931c6d2836f2c  ]",
    "[ fileio.h: 6d47e699433857b635f384ff92e5ab95  ]",
    "[ gline.h: 08b4397e72b340c616c15890768989fe  ]",
    "[ handlers.h: 83e14bf968344e221fb3147265262bd2  ]",
    "[ hash.h: b0fed26413fc54c506a0dfb993616578  ]",
    "[ IPcheck.h: ec2f49ce4331ac470cbabc01d4ac38fe  ]",
    "[ ircd_alloc.h: 3fc43a6d81a0ff06cc45e6b3e3fc355d  ]",
    "[ ircd_chattr.h: cfb89f1b8960e715da6b2ddd0e6b167f  ]",
    "[ ircd_crypt.h: a3b1c8cb25658eb6d3399142b8b68f41  ]",
    "[ ircd_crypt_native.h: f45cffb8057501ec13411b7938811fc5  ]",
    "[ ircd_crypt_plain.h: 8869c2a51e1fbb01210fa1afdb12432f  ]",
    "[ ircd_crypt_smd5.h: c843f3b6fcfe255d1c939aa1bd7a45de  ]",
    "[ ircd_defs.h: 750c83f8d530f88dac47dff4c6f8e7c2  ]",
    "[ ircd_events.h: fc8ecd24e9f80739737b53feb6c3630f  ]",
    "[ ircd_features.h: d92e98006bb2d04148b81298369c7cfc  ]",
    "[ ircd.h: 5e1713741cf2bab2247f714b0cf798fa  ]",
    "[ ircd_handler.h: 00e029c07483e8415b527e912841b5d8  ]",
    "[ ircd_log.h: f451b7d89e0e4d9f4d5b33f7eb41216a  ]",
    "[ ircd_md5.h: 9a03f7967ef865a833829556ce2b1531  ]",
    "[ ircd_osdep.h: b8a422f6d7d0b8fb57384d0577b14300  ]",
    "[ ircd_relay.h: bac62e994c4f5a134e4eb729c98d6a0b  ]",
    "[ ircd_reply.h: c0367aa1b9220008983b355359aefe12  ]",
    "[ ircd_reslib.h: 58bbd1174a39c1db382c9bdad4618b43  ]",
    "[ ircd_signal.h: 55ee2f2cae14ed7fa661902ed947ab41  ]",
    "[ ircd_snprintf.h: 817e39f18424c877071d5fad2547807e  ]",
    "[ ircd_string.h: 1d1885e8354aeb9af7d12d7a76e12308  ]",
    "[ jupe.h: f38cec5506abd1ee3b152ad2763a9f29  ]",
    "[ listener.h: 8b8fdc8ad827928428723955626d3956  ]",
    "[ list.h: f90c11fb4164465bea968dc46b4d988a  ]",
    "[ match.h: 4ef258d0e0e24d25a8e45e3eef67405c  ]",
    "[ memdebug.h: e8da93cecec5a091e160dc2321d1f043  ]",
    "[ motd.h: a32cf315fc495555e90fe2ee29e6f7e3  ]",
    "[ msg.h: 3fea03de236f164c26872c2b0317e819  ]",
    "[ msgq.h: 87632c3527e85b8b976e6eecedbbce31  ]",
    "[ numeric.h: 4399e6312ad08da2c40f3b536afc6670  ]",
    "[ numnicks.h: dc35cb9ba7729bf317d8590ca84275d9  ]",
    "[ opercmds.h: 94708db9f4ebcaa3c6b85532b0759120  ]",
    "[ packet.h: 85d28b3e40040545703c563b7e186c89  ]",
    "[ parse.h: 3a372bfb6f87d74ab0bb51b129e167da  ]",
    "[ patchlevel.h: c985a20c63f0c2d579467ea139b93aaa 1854 ]",
    "[ patchlist.h: 136c925b347c1343c272ff62b8c7b3c3  ]",
    "[ querycmds.h: 525054054b94e47cfc04a2086a008fcb  ]",
    "[ random.h: 8fd8dba1ef5aacc4c2e39e95917526a9  ]",
    "[ res.h: 8b3699e05ac2f058620e8c75a8028e14  ]",
    "[ s_auth.h: 0d41bafa31e646a90d804fe7fe29cc00  ]",
    "[ s_bsd.h: 828896d2e25954abd5feac6ea637d726  ]",
    "[ s_conf.h: e231bacfb97318ac03bcf05cbe122b23  ]",
    "[ s_debug.h: c1205f8ba2b560dcc4343eadc335819f  ]",
    "[ send.h: 00010731cf859f64d7ab879ac3b29928  ]",
    "[ s_misc.h: 9b0c493c8e623d95304798c2b1780927  ]",
    "[ s_numeric.h: b1c7f167b8fccf22e53929787c3c2149  ]",
    "[ s_serv.h: fb69ca5a8ef459e6b7d38b7401b2ecda  ]",
    "[ s_stats.h: a24326d783150f86c58d440550148235  ]",
    "[ struct.h: 6f9a266621069847f30f8ef3cb031727  ]",
    "[ supported.h: 6a384fd1a7d37c5d2c0ebef427cf78bf  ]",
    "[ s_user.h: fa46bacf7065a8296af0d115d2c168f1  ]",
    "[ sys.h: 29de2f8c88c76bd020f993646cd92a04  ]",
    "[ umkpasswd.h: ac91b053fd7bf3b895014e5f5674ba6d  ]",
    "[ uping.h: 60768d27900372d7a2a294180a1a2539  ]",
    "[ userload.h: 0b7facaf2d3cd66b50e922d753f2b24e  ]",
    "[ version.h: 84b78c08ba3a4a161b69b0c8683b341b  ]",
    "[ whocmds.h: f661e91e212a1e9a70f70058bf548159  ]",
    "[ whowas.h: 300ea5e83669a8f78fb8c1e4da20ecec  ]",
    0,
};
